#!/bin/sh

palette="palette.png"
video="kiss2x.mp4"
# output="kiss2x_out.mp4"
output="out/out_%d.bmp"

filters="scale=256x192:flags=lanczos:force_original_aspect_ratio=decrease,pad=256:192:-1:-1:color=black"

# video
ffmpeg -i $video -vf "$filters,palettegen=max_colors=256:reserve_transparent=0:stats_mode=diff" -y $palette
ffmpeg -i $video -i $palette -filter_complex "$filters[x];[x][1:v]paletteuse=dither=none" -y $output

# audio
ffmpeg -i $video -f s16le -vn -ac 1 -ar 22050 -y music.raw